Article ID: 3488, created on Apr 16, 2009, last review on Apr 19, 2012

  • Applies to:
  • Plesk for Windows

Résolution

Les dernières versions de Parallels Plesk Panel commençant par 8.1 prennent en charge PHP 4 et PHP 5. Les deux versions sont comprises dans Parallels Plesk Panel et peuvent être installées en tant que composants Parallels Plesk Panel via Ajouter/Supprimer les programmes, Parallels Plesk Panel, Changer. Une fois les deux versions de PHP installées, la version requise pour chaque domaine peut être sélectionné via la page de configuration de l'hébergement physique Panneau de contrôle Parallels Plesk Panel, Domaines, domain.tld, Configuration.

Donc, le domaine lui-même peut être configuré pour utiliser une version PHP. Il ne peut pas utiliser deux versions PHP en même temps.

Cependant, la version PHP différente peut être configurée sur le dossier virtuel hébergé pour ce domaine.

Pour ce faire, il faut cocher la case Créer des applications lors de l'étape de création du répertoire Web (Parallels Plesk Panel, Domaines, domain.tld, Répertoires Web, Ajouter un nouveau répertoire virtuel ).

Une fois le répertoire virtuel créé, vous pouvez y entrer et aller dans la zone Version PHP (Parallels Plesk Panel, Domaines, domain.tld, Répertoires Web, _your_virtual_directory_, version PHP).  La version PHP du répertoire virtuel actuel peut être configurée dans cette zone et peut être différente de la version PHP du domaine parent.

Informations supplémentaires

Veuillez voir également Comment installer PHP5 avec les versions antérieures de Parallels Plesk Panel

85a92ca67f2200d36506862eaa6ed6b8 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF